#ifndef TDialog_HH
#define TDialog_HH
#include "TGClient.h"
#include "TApplication.h"
#include "TGLabel.h"
#include "TGMsgBox.h"
#include "TString.h"
#include "TGTextBuffer.h"
#include "TGTextEntry.h"
#include "TGButton.h"

class TDialog : public TGTransientFrame
{
  private:
    TString          *mLabel;         
    TString          *mValue;
    TGLabel          *mDgLbl[100];
    TGTextEntry      *mTE[100];
    TGButton         *mOKb;
    TGButton         *mCancelb;
    int              mN;
    int*             mStat;         
  public:
                     TDialog(char*,int, TString*,TString*,int*,int=600, int=400);
    virtual          ~TDialog();  
    bool             ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
    void             CloseWindow();
            
  ClassDef(TDialog,1)
};
#endif
