#ifndef TSelection_HH
#define TSelection_HH
#include "TGClient.h"
#include "TApplication.h"
#include "TGLabel.h"
#include "TGMsgBox.h"
#include "TString.h"
#include "TGTextBuffer.h"
#include "TGTextEntry.h"
#include "TGButton.h"
#include "TList.h"
#include "TObject.h"

class TSelection : public TGTransientFrame
{
  private:
	  int              mMax;
		int              mId;
		
		int*             mSelection;
		int*             mStat;
		TList*           mList;
		
    TGButton         *mOK;
    TGButton         *mCancel;
    TGButton         *mNext;
    TGButton         *mPrevious;
		
    TGRadioButton    *mCheck[20];
		
		bool             mFirst;
		bool             mLoop;
		
		void             make();
				
  public:
                     TSelection(char*, TList*, int*, int*, int = 10, int=600, int=400);
    virtual          ~TSelection();  
    bool             ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
    void             CloseWindow();
            
  ClassDef(TSelection,1)
};
#endif
