#ifndef DEFINES_HH
#define DEFINES_HH

#include "TObjString.h"
#include "TString.h"
#include "TList.h"
#include "TGlobal.h"
#include "TSeqCollection.h"

#define NAFGEN(n,a,f) (((f << 0x05) | n) | (a << 0x0A))

#include "stdio.h"
#include "math.h"
#include <fstream>
#include <iostream>
using namespace std;

#define MAXLINE 4096

enum TYPES     {CMD, REG, LOG, DEL};
enum ERRORS    {IOERR, SYNTAXERR, OPERERR, LOOPERR, LOOPNOTSTARTED,
                NESTEDLOOPS, LOOPSIZEERR, LOOPLABELERR, LOOPNOTCLOSED,
                VARIABLENOTDEF, NOTVALIDCOMMAND, INVALIDNUMBERCMD,PARERR};
enum FLAGS     {CLEAN, COMMENT, PRECOMP, EXPRESSION, JUMPLABEL };
enum OPERATORS {O_ANY = 0, O_NONE = 1, O_GT = 2, O_LT = 3, O_GE = 4, O_LE = 5, O_NE = 6, O_EQ = 7 };
enum REGISTERS {R_PAT = 1, R_EXX = 2, R_CA = 3 };
enum COMMANDS  {C_NOP, C_NAF, C_NAFX, C_FLUSH, C_SPB, C_BRU, C_BRUR, C_SKIP, C_MOV,
                C_MERG, C_OUT, C_PAR, C_INC, C_DEC, C_DLAY, C_SETC, C_RTRN, C_END,
                C_INIT, C_CNAF, C_IF, C_ROUT, C_CROUT, C_SPAT, C_CSPAT, C_AND, C_OR, C_NOT,
                C_RSH, C_LSH, C_MOD, C_MUL, C_DIV, C_ABORT};
                
      

#endif
